<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetProjectsCount implements IProjectsFilter
    {
        public Integer Skip = null;
        public Integer Take = null;
        public String OrderExpression = null;
        public String SearchText = null;
        public ArrayList<String> Service = null;
        public ProjectStatus ProjectStatus = null;
        public String ActualSourceLanguage = null;
        public Boolean WithoutSourceLanguage = null;
        
        public Integer getSkip() { return Skip; }
        public GetProjectsCount setSkip(Integer value) { this.Skip = value; return this; }
        public Integer getTake() { return Take; }
        public GetProjectsCount setTake(Integer value) { this.Take = value; return this; }
        public String getOrderExpression() { return OrderExpression; }
        public GetProjectsCount setOrderExpression(String value) { this.OrderExpression = value; return this; }
        public String getSearchText() { return SearchText; }
        public GetProjectsCount setSearchText(String value) { this.SearchText = value; return this; }
        public ArrayList<String> getService() { return Service; }
        public GetProjectsCount setService(ArrayList<String> value) { this.Service = value; return this; }
        public ProjectStatus getProjectStatus() { return ProjectStatus; }
        public GetProjectsCount setProjectStatus(ProjectStatus value) { this.ProjectStatus = value; return this; }
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public GetProjectsCount setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
        public Boolean isWithoutSourceLanguage() { return WithoutSourceLanguage; }
        public GetProjectsCount setWithoutSourceLanguage(Boolean value) { this.WithoutSourceLanguage = value; return this; }
    }

    public static enum ProjectStatus
    {
        NotStarted,
        Started,
        Completed;
    }

    public static class CountProxy
    {
        public Integer TotalCount = null;
        
        public Integer getTotalCount() { return TotalCount; }
        public CountProxy setTotalCount(Integer value) { this.TotalCount = value; return this; }
    }

}

Java GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0}